import { DustEffect } from './dust.js';

export class EffectsManager {
    constructor(scene) {
        this.effects = [];
        this._initializeEffects(scene);
    }

    _initializeEffects(scene) {
        // Add all desired effects here.
        // This is now the single place to manage which effects are active.
        this.addEffect(new DustEffect(scene));
    }

    addEffect(effect) {
        this.effects.push(effect);
    }

    update(deltaTime) {
        this.effects.forEach(effect => effect.update(deltaTime));
    }
}